=head1 NAME

Gtk2::RecentFilter - wrapper for GtkRecentFilter

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::RecentFilter



=cut


=head1 METHODS

=head2 recentfilter = Gtk2::RecentFilter-E<gt>B<new> 

=head2 $filter-E<gt>B<add_age> ($days)

=over

=item * $days (integer) 

=back

=head2 $filter-E<gt>B<add_application> ($application)

=over

=item * $application (string) 

=back

=head2 $filter-E<gt>B<add_custom> ($needed, $func, $data=undef)

=over

=item * $needed (Gtk2::RecentFilterFlags) 

=item * $func (scalar) 

=item * $data (scalar) 

=back

=head2 $filter-E<gt>B<add_group> ($group)

=over

=item * $group (string) 

=back

=head2 $filter-E<gt>B<add_mime_type> ($mime_type)

=over

=item * $mime_type (string) 

=back

=head2 $filter-E<gt>B<add_pattern> ($pattern)

=over

=item * $pattern (string) 

=back

=head2 $filter-E<gt>B<add_pixbuf_formats> 

=head2 boolean = $filter-E<gt>B<filter> ($filter_info)

=over

=item * $filter_info (scalar) 

=back

=head2 string = $filter-E<gt>B<get_name> 

=head2 $filter-E<gt>B<set_name> ($name)

=over

=item * $name (string) 

=back

=head2 recentfilterflags = $filter-E<gt>B<get_needed> 



=cut


=head1 ENUMS AND FLAGS

=head2 flags Gtk2::RecentFilterFlags

=over

=item * 'uri' / 'GTK_RECENT_FILTER_URI'

=item * 'display-name' / 'GTK_RECENT_FILTER_DISPLAY_NAME'

=item * 'mime-type' / 'GTK_RECENT_FILTER_MIME_TYPE'

=item * 'application' / 'GTK_RECENT_FILTER_APPLICATION'

=item * 'group' / 'GTK_RECENT_FILTER_GROUP'

=item * 'age' / 'GTK_RECENT_FILTER_AGE'

=back




=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

